[riot-notifications] [RIOT-OS/RIOT] openthread: does not build on current Arch (#10809)

goldroom notifications at github.com
Thu Nov 19 12:02:32 CET 2020


@jia200x 
- "does it stop building during the compile phase of the pkg?" => yes
- "Does it get to build RIOT files?" => no

```
[...]
  AR       libmbedcrypto.a
ar: `u' modifier ignored since `D' is the default (see `U')
 /usr/bin/mkdir -p '.../myRIOT/examples/openthread/bin/samr21-xpro/pkg/openthread/output//lib'
 /usr/bin/install -c -m 644  libmbedcrypto.a '.../myRIOT/examples/openthread/bin/samr21-xpro/pkg/openthread/output//lib'
 ( cd '.../myRIOT/examples/openthread/bin/samr21-xpro/pkg/openthread/output//lib' && arm-none-eabi-ranlib libmbedcrypto.a )
make[6]: Nothing to be done for 'install-data-am'.
make[6]: Nothing to be done for 'install-exec-am'.
make[6]: Nothing to be done for 'install-data-am'.
Making install in src
Making install in core
  CXX      api/libopenthread_ftd_a-border_router_api.o
  CXX      api/libopenthread_ftd_a-channel_manager_api.o
In file included from ./coap/coap.hpp:37,
                 from ./common/instance.hpp:50,
                 from api/channel_manager_api.cpp:37:
./common/debug.hpp:83: error: "assert" redefined [-Werror]
   83 | #define assert(cond)  \
      | 
In file included from .../gcc-arm-none-eabi-9-2020-q2-update/arm-none-eabi/include/sys/reent.h:503,
                 from .../gcc-arm-none-eabi-9-2020-q2-update/arm-none-eabi/include/stdlib.h:18,
                 from .../gcc-arm-none-eabi-9-2020-q2-update/arm-none-eabi/include/c++/9.3.1/cstdlib:75,
                 from .../gcc-arm-none-eabi-9-2020-q2-update/arm-none-eabi/include/c++/9.3.1/stdlib.h:36,
                 from ../../include/openthread/instance.h:38,
                 from ../../include/openthread/channel_manager.h:38,
                 from api/channel_manager_api.cpp:35:
.../myRIOT/core/include/assert.h:107: note: this is the location of the previous definition
  107 | #define assert(cond) ((cond) ? (void)0 : core_panic(PANIC_ASSERT_FAIL, \
      | 
cc1plus: all warnings being treated as errors
make[5]: *** [Makefile:2391: api/libopenthread_ftd_a-channel_manager_api.o] Error 1
make[4]: *** [Makefile:486: install-recursive] Error 1
make[3]: *** [Makefile:649: install-recursive] Error 1
make[2]: *** [Makefile:952: install] Error 2
make[1]: *** [Makefile:51: .../myRIOT/examples/openthread/bin/samr21-xpro/pkg/openthread/output/lib/libopenthread-ftd.a] Error 2
make: *** [.../myRIOT/examples/openthread/../../Makefile.include:660: pkg-build-openthread] Error 2
```


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/issues/10809#issuecomment-730296659
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20201119/3df5665d/attachment.htm>


More information about the notifications mailing list